import request from '@/utils/request'

// 查询调压箱管理列表
export function listRegulatorBox(query) {
  return request({
    url: '/gas/regulatorBox/list',
    method: 'get',
    params: query
  })
}

// 查询调压箱管理详细
export function getRegulatorBox(id) {
  return request({
    url: '/gas/regulatorBox/' + id,
    method: 'get'
  })
}

// 新增调压箱管理
export function addRegulatorBox(data) {
  return request({
    url: '/gas/regulatorBox',
    method: 'post',
    data: data
  })
}

// 修改调压箱管理
export function updateRegulatorBox(data) {
  return request({
    url: '/gas/regulatorBox',
    method: 'put',
    data: data
  })
}

export function batchReview(data) {
  return request({
    url: '/gas/regulatorBox/batchReview',
    method: 'post',
    data: data
  })
}

// 删除调压箱管理
export function delRegulatorBox(id) {
  return request({
    url: '/gas/regulatorBox/' + id,
    method: 'delete'
  })
}

export function getReviewList(data) {
  return request({
    url: '/gas/regulatorBox/reviewList',
    method: 'get',
    params: data
  })
}
